VMTK not found after download

Hello! After downloading the new preview version of Slicer every time I try to use the VMTK extension I get the same error message: “VMTK library is not found.” This is quite odd as when I go to extensions manager, it says that SlicerVMTK is installed.
Also if I try to access the older version of slicer and download VMTK I get the error seen below or then when I do mange to download it, “VMTK library is not found.” Any help on this would be greatly appreciated.

VMTK is available for latest Slicer Stable Release and latest Slicer Preview Release. The errors that you show in the screenshot above are due to instability of the extension server. The server will be replaced later this week, until then a workaround is to retry a few hours later.

If you installed the VMTK extension but modules do not show up or work properly then please upload the application log (menu: Help / Report a bug) somewhere and post the download link here so that we can investigate.

VMTK bug

Has there been any update on this? I tried downloading the latest version and trying again but get the following error messages:
[DEBUG][Qt] 23.07.2021 14:31:18 [] (unknown:0) - Additional module paths …: Extensions-30058/SlicerVMTK/lib/Slicer-4.13/qt-loadable-modules, Extensions-30058/SlicerVMTK/lib/Slicer-4.13/qt-scripted-modules
[CRITICAL][Qt] 23.07.2021 14:31:19 [] (unknown:0) - Error(s):
CLI executable: /Applications/Slicer.app/Contents/Extensions-30058/SlicerVMTK/lib/Slicer-4.13/qt-loadable-modules/vtkvmtk.py
The process failed to start. Either the invoked program is missing, or you may have insufficient permissions to invoke the program.
[CRITICAL][Qt] 23.07.2021 14:31:19 [] (unknown:0) - Fail to instantiate module “vtkvmtk”
[CRITICAL][Qt] 23.07.2021 14:31:19 [] (unknown:0) - The following modules failed to be instantiated:
[CRITICAL][Qt] 23.07.2021 14:31:19 [] (unknown:0) - vtkvmtk
[DEBUG][Python] 23.07.2021 14:31:20 [Python] (/Applications/Slicer.app/Contents/lib/Slicer-4.13/qt-scripted-modules/SubjectHierarchyPlugins/AbstractScriptedSubjectHierarchyPlugin.py:36) - Scripted subject hierarchy plugin registered: Annotations

Thank you for your patience. You can use VMTK on other platforms (Windows/Linux) and we’ll fix it in the latest Slicer Stable Release, too - see progress here:

@jcfr